Bug 129868 - Unknown symbols in tux module in 2.6.7-1.517
Summary: Unknown symbols in tux module in 2.6.7-1.517
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-13 16:00 UTC by H.J. Lu
Modified: 2015-01-04 22:08 UTC (History)
2 users (show)

Fixed In Version: 2.6.9-1.649
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 19:45:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H.J. Lu 2004-08-13 16:00:16 UTC
When I tried to install 2.6.7-1.517 kernel rpm built from the
source rpm, I got some messages about unknown symbols from
tux module.

Comment 1 H.J. Lu 2004-08-13 17:02:15 UTC
During the build, I got

*** Warning: "read" [net/tux/tux.ko] undefined!
*** Warning: "chdir" [net/tux/tux.ko] undefined!
*** Warning: "write" [net/tux/tux.ko] undefined!
*** Warning: "chroot" [net/tux/tux.ko] undefined!


Comment 2 H.J. Lu 2004-08-13 17:14:37 UTC
During install, I got

[root@gnu-10 kernel]# rpm -ivh
/export/redhat/rpms/RPMS/i686/kernel-smp-2.6.7-1.517.hjl.0.i686.rpm
Preparing...               
########################################### [100%]
   1:kernel-smp            
########################################### [100%]
WARNING: /lib/modules/2.6.7-1.517.hjl.0smp/kernel/net/tux/tux.ko needs
unknown symbol chroot
WARNING: /lib/modules/2.6.7-1.517.hjl.0smp/kernel/net/tux/tux.ko needs
unknown symbol write
WARNING: /lib/modules/2.6.7-1.517.hjl.0smp/kernel/net/tux/tux.ko needs
unknown symbol chdir
WARNING: /lib/modules/2.6.7-1.517.hjl.0smp/kernel/net/tux/tux.ko needs
unknown symbol read


Comment 3 Steven Newbury 2004-09-03 15:23:58 UTC
This is breakage from the remove-more-KERNEL_SYSCALLS.patch
TUX needs to be updated for current kernels.

Does Ingo Molnar know???


Comment 4 H.J. Lu 2004-11-08 19:45:52 UTC
2.6.9-1.649 is OK.


Note You need to log in before you can comment on or make changes to this bug.